package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProPriceBean;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkProPriceAdapter extends BaseQuickAdapter<ProPriceBean.RecordsBean, BaseViewHolder> {

    public WorkProPriceAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, ProPriceBean.RecordsBean item) {
        helper.setText(R.id.tv_price, String.valueOf(item.getNewPrice()));
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_person, "提交人:".concat(item.getCreatedByName()));
        helper.setText(R.id.tv_remark, "备注:".concat(item.getRemark()));
    }
}

